Title: Colors
Order: 0
---

The following is a list of the standard 8-bit colors supported in terminals.

Note that the first 16 colors are generally defined by the system or your terminal software, and may not display exactly as rendered here.

# Usage

You can either use the colors in code, such as `new Style(foreground: Color.Maroon)` or
in markup text such as `AnsiConsole.Markup("[maroon on blue]Hello[/]")`.

# Standard colors

<div class="input-group mb-3">
  <div class="input-group-prepend">
    <span class="input-group-text" id="basic-addon1">
        <i class="fas fa-search" aria-hidden="true"></i>
    </span>
  </div>
  <input
    class="form-control w-100 filter"
    data-table="color-results"
    type="text" placeholder="Search Colors..." autocomplete="off" 
    aria-label="Search Colors">
</div>

<?# ColorTable /?>

<script type="text/javascript" src="../assets/js/table-search.js"></script>